image: aergus/latex

variables:
  GIT_SUBMODULE_STRATEGY: recursive
  GIT_HOOKS_DIR: .git/hooks
  GIT_POST_CHECKOUT_HOOK_FILE: .git/hooks/post-checkout

stages:
  - build

TP:
  stage: build
  only:
    - tags
  script:
    - pushd ~
    - git clone https://framagit.org/groolot/my_texmf_tree.git texmf
    - echo $PGPASS_CONTENT_LINE > .pgpass
    - chmod 600 .pgpass
    - popd
    - apt-get update -qq && apt-get install -y -qq graphviz bookletimposer build-essential libpq-dev pkg-config diffutils
    - mkdir -p $GIT_HOOKS_DIR
    - cp $HOME/texmf/tex/latex/groolot/gitinfo_hook $GIT_POST_CHECKOUT_HOOK_FILE
    - chmod 755 $GIT_POST_CHECKOUT_HOOK_FILE
    - git checkout $CI_COMMIT_TAG
    - latexmk -pdf $CI_PROJECT_NAME.tex
    - mv $CI_PROJECT_NAME.pdf $CI_PROJECT_NAME-$CI_COMMIT_TAG.pdf
    - bookletimposer --no-gui --booklet --pages-per-sheet=2x1 --format=A4 --output=$CI_PROJECT_NAME-$CI_COMMIT_TAG.brochure.pdf $CI_PROJECT_NAME-$CI_COMMIT_TAG.pdf
  artifacts:
    name: "$CI_PROJECT_NAME-TP-$CI_COMMIT_TAG"
    paths:
      - $CI_PROJECT_NAME-$CI_COMMIT_TAG.pdf
      - $CI_PROJECT_NAME-$CI_COMMIT_TAG.brochure.pdf
    expire_in: 400 days

grille evaluation oral:
  stage: build
  only:
    - /^evaluation-oral-.+$/
  script:
    - latexmk -pdf evaluation-oral.tex
    - mv evaluation-oral.pdf $CI_PROJECT_NAME-$CI_COMMIT_TAG.pdf
  artifacts:
    name: "$CI_PROJECT_NAME-$CI_COMMIT_TAG"
    paths:
      - $CI_PROJECT_NAME-$CI_COMMIT_TAG.pdf
    expire_in: 1 hour
  environment:
    name: $CI_COMMIT_TAG
